Bug 799718 - [abrt] evolution-data-server-3.3.90-2.fc17: allocator_memalign: Process /usr/libexec/evolution-addressbook-factory was killed by signal 11 (SIGSEGV)
[abrt] evolution-data-server-3.3.90-2.fc17: allocator_memalign: Process /usr/...
Status: CLOSED DUPLICATE of bug 759143
Product: Fedora
Classification: Fedora
Component: evolution-data-server (Show other bugs)
rawhide
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
abrt_hash:c765fed981dc7e0f90c2d8e31d9...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-04 11:15 EST by Nicolas Mailhot
Modified: 2012-03-30 09:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-30 09:08:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (6.69 KB, text/plain)
2012-03-04 11:15 EST, Nicolas Mailhot
no flags Details
File: maps (29.71 KB, text/plain)
2012-03-04 11:15 EST, Nicolas Mailhot
no flags Details
File: backtrace (84.60 KB, text/plain)
2012-03-04 11:15 EST, Nicolas Mailhot
no flags Details
eaflog.txt (49.73 KB, text/plain)
2012-03-06 16:26 EST, Nicolas Mailhot
no flags Details
contacts screenshot (126.39 KB, image/png)
2012-03-07 13:32 EST, Nicolas Mailhot
no flags Details

  None (edit)
Description Nicolas Mailhot 2012-03-04 11:15:01 EST
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        /usr/libexec/evolution-addressbook-factory
crash_function: allocator_memalign
executable:     /usr/libexec/evolution-addressbook-factory
kernel:         3.3.0-0.rc5.git3.1.fc18.x86_64
pid:            30104
pwd:            /
reason:         Process /usr/libexec/evolution-addressbook-factory was killed by signal 11 (SIGSEGV)
time:           sam. 03 mars 2012 14:32:42 CET
uid:            500
username:       nim

backtrace:      Text file, 86634 bytes
dso_list:       Text file, 6847 bytes
maps:           Text file, 30419 bytes

build_ids:
:e3f83e6ed76d65ff9d0d4aa5fcc7bf0c6bfaaadd
:4555444390434459edd5379df593b6d7382f86be
:ff6cb35a09a4396a83b9284d9a786807ba99dd87
:b4e05af77d18e8880f8df5a84db2e788fcd76086
:215b6da182c4dba111d9434b2f0a476b1931be15
:24bee58605169940ba9d734e11a457633404d9f8
:4387bbccf9753482e2fd727560168df85810d2a6
:1c844200235df3a908927fb6c6507bdb6065cc59
:25ca60e8e1f0e90c94d5c24a4286fd6f8a853dfd
:84e4390ef7f40acaddfe92c69b23f9fbab27dad2
:4504beabd434c4e335d484b890a6adf1f8d995f6
:8f8d092e89e1c7a83e37b77ce1ad69389ffb6d20
:b0e138fe67e7cb03ec2d4e14f7337544ad6e8787
:348a5178b42ad1bf5e5fcfa2ec3b6026f3868c5f
:4eb5851682615d113b52185b702cf71b85cdb7e3
:38a6c6422bbcf9847c42a38acc3efa8b65725916
:473e64bfe079b918b2112531e141d8321733c944
:e8b1f333874726a0561ca500682e84b331a3f33e
:7c35310fc506498c612d5d982ab03becc4b4817c
:d0e0e7c8435583b74546e0831f5de509d422f43d
:f4f9ce91c43285df84177f9684a3e7f190a0aae1
:8ec44a3810b08b73d86eae4f7336a848d39dceb7
:3e9f65a1ee01419219fb006790eb394dab35d0b7
:cccf32577449e0f6950c9928681996432448ba2a
:4841f9c2e154cad8e9c726af616af47723ab49bb
:80dcf30321dbc04511d9cbf399a83b8f3dc75d5d
:ca7f6c81564935ea68f9c562854f59394c1c9507
:a2d5b50b07df0fb9c52fcc682c6121d3e7276249
:2aeebb0a54500dee302178d445d251b8d02183d6
:0f358b696ee1b8812f183182170e8f8387bbf981
:9946c7b0bf3af7df37669b44eb6d73e5f860a17c
:63651cdc0224824a9c9324c77c3b5887378e871d
:14402fe1afd10d0e168fb0deb532cd7c541b142a
:3808935f8105bd124594c36f68e7bf0139198f4e
:56b170ca75b8d21d65337e3d4792910ef80cf4fd
:0f789c221366feb5c5098b6424bdd4726dc56462
:822e9b3523e8312240f41a25722d539bc77ed436
:8f1c8e7a9290087a1de608de917e41455f885af0
:122869c1e28a8cfdf0cdd7ed854d0f89679e9b26
:97ee41d8d1854fb618fbea2c497f3ee4b52244b8
:98fb8122b7b135db10b0d1d9bfa83eec969ac5ef
:50fed4532438897bf7702819849a41576a234e4a
:5a482b65b36cd339c403f6d16f287800a379414a
:733aed02b35b670ee1b23dd4c881ce9b5b0f9473
:230fb930a7826df83feda724bebd06ea356e2eec
:a3d8b36636588b27e18c4b544c8f2cb32464b31f
:d6accb8c5783505e7ce01073184dd5a8639d5cfc
:0060404ba1a6462659dd35d3ad9b5e04cbf27555
:3317c688e77ed901085d883cc0728608dd7d3452
:d804f8ee47797da9213a92f00cd095ecada8d79f
:5cdc8aaf7505873491e28e3f4bd6d01ff1975769
:5e457ffe237cccf7ed50b5815d5d85e00fc0b164
:c82ac09597652b10ac117a1d611ae31c6a43635e
:1fa4aa0f57b72034546fd97a1e0520e7d6502e0d
:90580484266442bf2994f4258d9f6b8a0ab344dd
:277d74794a8d683ef066f298ec72b16b3a5ea5b2
:f798b6d1366e0a899d798887bca81a4b856bfa90
:b3ab6f45611d75a6e0deb5e6441f820116208b28
:610479571fba7f1145eeaf0f620f504aac7e16e4
:f496476f6662f33ae0793d5d413744d5646296fd
:46fe2763c4865dc6cd3b28818e63f42f4e3b0139
:e232ec5fe6d7bba8ac3d3c21639af5255f3e71e9
:a5484c471df85a0f1cfacb418f18cc5fb79a6170
:9a0afc28d8fdf1d15e85db497b065823d20eed3b
:63b8b24e78f9956bfba3d0a95500d9a25e21d594
:613b1382f13aaf4a126f51b64ac787a0d180add2
:861fdeaa4c366960eec3529a2ac0c96f665b3a61
:09970e48d8151995c6f47ffe52a75d5fdb683848

environ:
:SHELL=/bin/bash
:DBUS_STARTER_ADDRESS=unix:abstract=/tmp/dbus-9381sOZ86Z,guid=d54ea9bf1d4feeab23722cc9000001a5
:XDG_SESSION_COOKIE=600ffe0ff55806cd11d94c624a4f786e-1330725463.718011-2315087
:XDG_RUNTIME_DIR=/run/user/nim
:DISPLAY=:0
:DESKTOP_SESSION=gnome
:SSH_AUTH_SOCK=/tmp/keyring-hdggSg/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1269,unix/unix:/tmp/.ICE-unix/1269
:WINDOWPATH=1
:PATH=/usr/local/bin:/usr/bin:/bin
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:GDMSESSION=gnome
:XDG_VTNR=1
:USERNAME=nim
:XDG_SESSION_ID=2
:GPG_AGENT_INFO=/tmp/keyring-hdggSg/gpg:0:1
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-9381sOZ86Z,guid=d54ea9bf1d4feeab23722cc9000001a5
:XDG_SEAT=seat0
:XAUTHORITY=/var/run/gdm/auth-for-nim-iEz0Vt/database
:USER=nim
:DBUS_STARTER_BUS_TYPE=session
:GNOME_KEYRING_PID=1267
:SHLVL=1
:PWD=/home/nim
:GNOME_KEYRING_CONTROL=/tmp/keyring-hdggSg
:LANG=fr_FR.UTF-8
:_=/usr/bin/dbus-launch
:LOGNAME=nim
:HOME=/home/nim

smolt_data:
:
:
:Général
:=================================
:UUID: b78fe0ae-e51d-40f8-8e68-7f2478f9cf2a
:SE: Fedora release 18 (Rawhide)
:Niveau d'exécution par défaut: 5
:Langue: fr_FR.UTF-8
:Plateforme: x86_64
:BogoMIPS: 6332.69
:Fabricant du processeurs: GenuineIntel
:Modèle de processeur: Intel(R) Core(TM)2 Duo CPU     E8500  @ 3.16GHz
:Stepping du processeur: 10
:Famille de processeur: 6
:Modèle du processeur: 23
:Nombre de processeurs: 2
:Vitesse du processeur: 2834
:Mémoire du système: 3934
:Swap du système: 4094
:Fabricant: Gigabyte Technology Co., Ltd.
:Système: EP45-DS5 
:Type d'ordinateur: Desktop
:Noyau: 3.3.0-0.rc5.git3.1.fc18.x86_64
:SELinux activé: 1
:Stratégie SELinux: targeted
:SELinux strict: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Périphériques
:=================================
:(32902:11808:5208:20480) pci, None, HOST/PCI, GA-EP45-DS5 Motherboard
:(32902:11809:5208:20480) pci, pcieport, PCI/PCI, GA-EP45-DS5 Motherboard
:(4332:33128:5208:57344) pci, r8169, ETHERNET, GA-EP45-DS5 Motherboard
:(32902:14896:5208:20481) pci, i801_smbus, SERIAL, GA-EP45-DS5 Motherboard
:(32902:14882:5208:45061) pci, ahci, STORAGE, GA-EP45-DS5 Motherboard
:(32902:14870:5208:20481) pci, None, PCI/ISA, GA-EP45-DS5 Motherboard
:(32902:9294:5208:20480) pci, None, PCI/PCI, GA-EP45-DS5 Motherboard
:(32902:14901:5208:20484) pci, uhci_hcd, USB, GA-EP45-DS5 Motherboard
:(32902:14900:5208:20484) pci, uhci_hcd, USB, GA-EP45-DS5 Motherboard
:(32902:14905:5208:20484) pci, uhci_hcd, USB, GA-EP45-DS5 Motherboard
:(32902:14902:5208:20484) pci, uhci_hcd, USB, GA-EP45-DS5 Motherboard
:(32902:14906:5208:20486) pci, ehci_hcd, USB, GA-EP45-DS5 Motherboard
:(32902:14908:5208:20486) pci, ehci_hcd, USB, GA-EP45-DS5 Motherboard
:(6523:9059:5208:45056) pci, pata_jmicron, STORAGE, GA-EP45-DS5 Motherboard
:(6523:9059:5208:45056) pci, ahci, STORAGE, GA-EP45-DS5 Motherboard
:(32902:14918:5208:20481) pci, pcieport, PCI/PCI, GA-EP45-DS5 Motherboard
:(32902:14912:5208:20481) pci, pcieport, PCI/PCI, GA-EP45-DS5 Motherboard
:(32902:14920:5208:20481) pci, pcieport, PCI/PCI, GA-EP45-DS5 Motherboard
:(32902:14910:5208:41218) pci, snd_hda_intel, MULTIMEDIA, GA-EP45-DS5 Motherboard
:(4354:4:4354:16385) pci, snd_emu10k1, MULTIMEDIA_AUDIO, E-MU 1010
:(32902:14903:5208:20484) pci, uhci_hcd, USB, GA-EP45-DS5 Motherboard
:(4354:16385:4354:16) pci, firewire_ohci, FIREWIRE, SB Audigy FireWire Port
:(17476:22:112:32771) pci, ivtv, MULTIMEDIA_VIDEO, WinTV PVR 150
:(32902:14904:5208:20484) pci, uhci_hcd, USB, GA-EP45-DS5 Motherboard
:(4098:43672:5963:43672) pci, snd_hda_intel, MULTIMEDIA, Sapphire HD 6450 1GB DDR3
:(4098:26489:5963:57700) pci, radeon, VIDEO, Sapphire HD 6450 1GB DDR3
:(32902:14922:5208:20481) pci, pcieport, PCI/PCI, GA-EP45-DS5 Motherboard
:(4332:33128:5208:57344) pci, r8169, ETHERNET, GA-EP45-DS5 Motherboard
:
:
:Informations sur le système de fichiers
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/VolGroup00-systeme / ext4 4096 4096 12496068 6512612 5883518 3145728 2617148 2617148
:/dev/mapper/VolGroup00-utilisateur /home ext4 4096 4096 25127330 4960829 3702539 6291456 6175363 6175363
:/dev/md0 /boot ext4 4096 4096 522607 486849 460669 131072 130836 130836
:

var_log_messages:
:Mar  2 08:05:13 arekh abrt[9026]: File '/usr/libexec/evolution-addressbook-factory.#prelink#.ksgTlD' seems to be deleted
:Mar  2 08:05:13 arekh abrt[9026]: File '/usr/libexec/evolution-addressbook-factory.#prelink#.ksgTlD' seems to be a prelink temporary file
:Mar  2 08:05:15 arekh abrt[9026]: Saved core dump of pid 12263 (/usr/libexec/evolution-addressbook-factory) to /var/spool/abrt/ccpp-2012-03-02-08:05:13-12263 (84901888 bytes)
:Mar  2 20:34:30 arekh abrt[7530]: Saved core dump of pid 4492 (/usr/libexec/evolution-addressbook-factory) to /var/spool/abrt/ccpp-2012-03-02-20:34:29-4492 (54693888 bytes)
:Mar  2 22:13:47 arekh abrt[3443]: Saved core dump of pid 1362 (/usr/libexec/evolution-addressbook-factory) to /var/spool/abrt/ccpp-2012-03-02-22:13:46-1362 (54554624 bytes)
:Mar  2 23:00:32 arekh abrt[2069]: Saved core dump of pid 1434 (/usr/libexec/evolution-addressbook-factory) to /var/spool/abrt/ccpp-2012-03-02-23:00:30-1434 (54898688 bytes)
:Mar  3 14:32:42 arekh abrt[32165]: Saved core dump of pid 30104 (/usr/libexec/evolution-addressbook-factory) to /var/spool/abrt/ccpp-2012-03-03-14:32:42-30104 (46542848 bytes)
Comment 1 Nicolas Mailhot 2012-03-04 11:15:05 EST
Created attachment 567403 [details]
File: dso_list
Comment 2 Nicolas Mailhot 2012-03-04 11:15:07 EST
Created attachment 567404 [details]
File: maps
Comment 3 Nicolas Mailhot 2012-03-04 11:15:10 EST
Created attachment 567405 [details]
File: backtrace
Comment 4 Milan Crha 2012-03-05 03:31:58 EST
Thanks for a bug report. I do not see any specific actions being processed inside the evolution-addressbook-factory process, all the calls are coming from GLib. The crashing thread, main thread, is currently processing socket_source_dispatch from gsocket.c, failing on memory allocation, which suggests there is some memory corruption.

Was this just a "random" crash, or you can reproduce this reliably, please?
Comment 5 Nicolas Mailhot 2012-03-05 03:47:17 EST
It happens pretty reliably after reboot and log-in, and the kernel gets quickly confused
Comment 6 Milan Crha 2012-03-05 07:37:49 EST
Good, then maybe we can try to involve valgrind, which may help us to identify the memory corruption, if at all. Could you rename
   /usr/libexec/evolution-addressbook-factory
to
   /usr/libexec/evolution-addressbook-factory.real
and then create a script named
   /usr/libexec/evolution-addressbook-factory
with the following content:
#!/bin/bash
G_SLICE=always-malloc valgrind --num-callers=50 /usr/libexec/evolution-addressbook-factory.real &>/tmp/eaflog.txt

(note the line beginning with G_SLICE is one long line, it is not wrapped like here in bugzilla) then set executable attributes on the created script, like
  $ chmod a+x /usr/libexec/evolution-addressbook-factory

and then try to reproduce the issue, please? If it'll crash again (though valgrind can avoid certain types of crashes and log about them only), then the file /tmp/eaflog.txt may contain what we are looking for. The file is overwritten each start of the factory, which can be started on demand by DBus, but we'll not clash here, hopefully.
Comment 7 Nicolas Mailhot 2012-03-05 14:01:38 EST
It crashed again but the logfile only contains

EDataFactory is now online.
Registering EBookBackendVCFFactory ('vcf')
Registering EBookBackendLDAPFactory ('ldap')
Registering EBookBackendGoogleFactory ('google')
Registering EBookBackendWebdavFactory ('webdav')
Registering EBookBackendFileFactory ('local')
Server is up and running...
Bus name 'org.gnome.evolution.dataserver.AddressBook3' acquired.

libebookbackend-WARNING **: conversion to ldap query string failed

libebookbackend-WARNING **: conversion to ldap query string failed
Comment 8 Milan Crha 2012-03-05 15:54:34 EST
THanks for giving it a try. It seems to me that the valgrind didn't make it, as the log should contain lines reported by it, same as the process itself is significantly slower, eating your CPU due to all memory checking.

With
> (note the line beginning with G_SLICE is one long line, it is not wrapped
> like here in bugzilla)
I meant that the line beginning with G_SLICE is not wrapped into two lines like in comment #6, but it should be one long line with below beginning and end:
G_SLICE=.......factory.real &>/tmp/eaflog.txt
aka make those two consecutive lines a one long line. I suppose this is the reason why valgrind is not involved here.
Comment 9 Nicolas Mailhot 2012-03-06 16:26:42 EST
Created attachment 568071 [details]
eaflog.txt

Sorry for not reading you correctly yesterday
Comment 10 Milan Crha 2012-03-07 03:12:02 EST
Thanks for the update. The factory ends strange, it's saying:

> Bus name 'org.gnome.evolution.dataserver.AddressBook3' lost.
> g_dbus_connection_real_closed: Remote peer vanished with error: Underlying
> GIOStream returned 0 bytes on an async read (g-io-error-quark, 0). Exiting.
> Bye.

which might mean other factory had been run over this one. The valgrind log also shows invalid reads I didn't notice yet, but they might be related to this error:

> libebookbackend-WARNING **: conversion to ldap query string failed

which suggests there is something wrong wit the expression being passed over the bus to the factory. The invalid reads are basically about the same, from the same part. Is there any special search activated in your Contacts view? You may see in in the top of the window, when you run evolution as "evolution -c contacts", unless you have evolution run in mailer and the addressbook is used to check whether the mail sender is in any of your books.
Comment 11 Nicolas Mailhot 2012-03-07 07:53:34 EST
(In reply to comment #10)
>  unless you have evolution run in mailer and the addressbook is used
> to check whether the mail sender is in any of your books.

I only use evolution as a mailer (and not that much anymore due to the bugs it accumulated in the past year)
Comment 12 Nicolas Mailhot 2012-03-07 13:32:19 EST
Created attachment 568384 [details]
contacts screenshot
Comment 13 Milan Crha 2012-03-12 06:51:26 EDT
Hmm, I'm still confused with the GIOStream error. Some of similar bug reports from [1] suggest this is related to GLib2 itself. I do not use the Fedora 17 as my main system yet, thus I do not have much more idea what to try. Just replace back the /usr/libexec/evolution-addressbook-factory to the real executable, to not have left there files after our testing.

Is the Ekiga addressbook publicly available? I would like to try to connect to it, whether I'll be able to reproduce. But maybe this is reproducible with any LDAP addressbook.

[1] https://bugzilla.gnome.org/buglist.cgi?query_format=advanced;longdesc=g_dbus_connection_real_closed;longdesc_type=allwordssubstr
Comment 14 Milan Crha 2012-03-12 09:54:57 EDT
I tested this with my LDAP server and it works with no issue. I also see the warning:
> libebookbackend-WARNING **: conversion to ldap query string failed
but it has no influence on functionality. I see it when I clear previous search on the book, which is in a moment where you even cannot get due to the error of auto-closed addressbook factory process. I tried with up-to-date Fedora 17 installation.
Comment 15 Nicolas Mailhot 2012-03-12 10:37:47 EDT
(In reply to comment #13)

> Is the Ekiga addressbook publicly available? I would like to try to connect to
> it, whether I'll be able to reproduce. 

The ekiga adressbook is public and was set up by ekiga when I installed it
https://www.ekiga.net/index.php?page=services

https://admin.fedoraproject.org/pkgdb/acls/name/ekiga
Comment 16 Milan Crha 2012-03-15 10:46:56 EDT
I suppose they add the addressbook to evolution only if I run ekiga with a registered user account, because I installed it and I do not have the Ekiga's LDAP addressbook added, though itself Addressbook (Ctrl+B) in Ekiga contains Ekiga's public LDAP book, the one, which doesn't require authentication.
Comment 17 Nicolas Mailhot 2012-03-21 05:12:13 EDT
(In reply to comment #16)
> I suppose they add the addressbook to evolution only if I run ekiga with a
> registered user account, because I installed it and I do not have the Ekiga's
> LDAP addressbook added, though itself Addressbook (Ctrl+B) in Ekiga contains
> Ekiga's public LDAP book, the one, which doesn't require authentication.

I don't know :(
If you want to test, ekiga accounts are free
Comment 18 abrt-bot 2012-03-30 09:08:35 EDT
Backtrace analysis found this bug to be similar to bug #759143, closing as duplicate.

Bugs which were found to be similar to this bug: 
  DeviceKit-disks: bug #579968
  claws-mail: bug #696680, bug #749177, bug #789636
  evince: bug #615380
  evolution: bug #744469
  evolution-data-server: bug #607960
  evolution-exchange: bug #669649
  gnome-shell: bug #759143, bug #781780
  gvfs: bug #571349
  pcmanfm: bug #789628
  rhythmbox: bug #681163, bug #709834, bug #748661
  xfce4-sensors-plugin: bug #772409

This comment is automatically generated.

*** This bug has been marked as a duplicate of bug 759143 ***

Note You need to log in before you can comment on or make changes to this bug.